summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2012-08-16 07:46:15 +0000
committerPatrick Lauer <patrick@gentoo.org>2012-08-16 07:46:15 +0000
commit8304e8ba6645efae2c5aa0211dcccd4922c48d6c (patch)
treedff1e4d6dc7496372ec95666e7305641e2f7d547 /eclass
parentwhitespace (diff)
downloadhistorical-8304e8ba6645efae2c5aa0211dcccd4922c48d6c.tar.gz
historical-8304e8ba6645efae2c5aa0211dcccd4922c48d6c.tar.bz2
historical-8304e8ba6645efae2c5aa0211dcccd4922c48d6c.zip
Fixing noisy output on unmerge #423741
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/python.eclass8
2 files changed, 6 insertions, 7 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 9b6fe4233760..420cbb636b0a 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.371 2012/08/15 15:06:09 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.372 2012/08/16 07:46:15 patrick Exp $
+
+ 16 Aug 2012; Patrick Lauer <patrick@gentoo.org> python.eclas:
+ Fix noisy output on unmerge #423741
15 Aug 2012; Diego E. Pettenò <flameeyes@gentoo.org> ruby-fakegem.eclass:
Make sure not to test for use doc if it's not there.
diff --git a/eclass/python.eclass b/eclass/python.eclass
index 3dbb3e15c566..73cc8dda1a38 100644
--- a/eclass/python.eclass
+++ b/eclass/python.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.155 2012/06/09 10:01:19 marienz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python.eclass,v 1.156 2012/08/16 07:46:15 patrick Exp $
# @ECLASS: python.eclass
# @MAINTAINER:
@@ -2768,7 +2768,6 @@ _python_clean_compiled_modules() {
else
[[ -f "${py_file}" ]] && continue
fi
- echo "${_BLUE}<<< ${compiled_file%[co]}[co]${_NORMAL}"
rm -f "${compiled_file%[co]}"[co]
elif [[ "${compiled_file}" == *\$py.class ]]; then
if [[ "${dir}" == "__pycache__" ]]; then
@@ -2783,7 +2782,6 @@ _python_clean_compiled_modules() {
else
[[ -f "${py_file}" ]] && continue
fi
- echo "${_BLUE}<<< ${compiled_file}${_NORMAL}"
rm -f "${compiled_file}"
else
die "${FUNCNAME}(): Unrecognized file type: '${compiled_file}'"
@@ -2792,9 +2790,7 @@ _python_clean_compiled_modules() {
# Delete empty parent directories.
dir="${compiled_file%/*}"
while [[ "${dir}" != "${root}" ]]; do
- if rmdir "${dir}" 2> /dev/null; then
- echo "${_CYAN}<<< ${dir}${_NORMAL}"
- else
+ if ! rmdir "${dir}" 2> /dev/null; then
break
fi
dir="${dir%/*}"